Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-51651

Upgrade jenkins

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      Hi,

      We encountered the following issue while we trying to upgrade our current jenkins 2.7.3 to the latest one available in market 2.125 version.

      Java version currently we using 

      openjdk version "1.8.0_121"
      OpenJDK Runtime Environment (build 1.8.0_121-b13)
      OpenJDK 64-Bit Server VM (build 25.121-b13, mixed mode)

       

      java.lang.NullPointerException
      at smartjenkins.SmartJenkinsComputerListener.onConfigurationChange(SmartJenkinsComputerListener.java:41)
      at hudson.model.AbstractCIBase.updateComputerList(AbstractCIBase.java:231)
      at jenkins.model.Jenkins.updateComputerList(Jenkins.java:1551)
      at jenkins.model.Nodes$9.run(Nodes.java:348)
      at hudson.model.Queue._withLock(Queue.java:1378)
      at hudson.model.Queue.withLock(Queue.java:1255)
      at jenkins.model.Nodes.load(Nodes.java:339)
      at jenkins.model.Jenkins$14.run(Jenkins.java:3110)
      at org.jvnet.hudson.reactor.TaskGraphBuilder$TaskImpl.run(TaskGraphBuilder.java:169)
      at org.jvnet.hudson.reactor.Reactor.runTask(Reactor.java:296)
      at jenkins.model.Jenkins$5.runTask(Jenkins.java:1068)
      at org.jvnet.hudson.reactor.Reactor$2.run(Reactor.java:214)
      at org.jvnet.hudson.reactor.Reactor$Node.run(Reactor.java:117)
      at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
      at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
      at java.lang.Thread.run(Thread.java:745)
      Caused: org.jvnet.hudson.reactor.ReactorException
      at org.jvnet.hudson.reactor.Reactor.execute(Reactor.java:282)
      at jenkins.InitReactorRunner.run(InitReactorRunner.java:48)
      at jenkins.model.Jenkins.executeReactor(Jenkins.java:1102)
      at jenkins.model.Jenkins.<init>(Jenkins.java:904)
      at hudson.model.Hudson.<init>(Hudson.java:85)
      at hudson.model.Hudson.<init>(Hudson.java:81)
      at hudson.WebAppMain$3.run(WebAppMain.java:233)
      Caused: hudson.util.HudsonFailedToLoad
      at hudson.WebAppMain$3.run(WebAppMain.java:250)

       

      Any help that you provide is greatly appreciated.

        Attachments

          Issue Links

            Activity

            Hide
            oleg_nenashev Oleg Nenashev added a comment -

            Asra Nousheen it is not a security defect.
            Whatever the plugin is doing, it looks like a defect in the plugin https://github.com/jenkinsci/smart-jenkins-plugin/blob/master/src/main/java/smartjenkins/SmartJenkinsComputerListener.java#L41

            The plugin does not seem to be maintained, and somebody would need to take ownership to investigate and fix the defect. See https://jenkins.io/participate/

            Show
            oleg_nenashev Oleg Nenashev added a comment - Asra Nousheen it is not a security defect. Whatever the plugin is doing, it looks like a defect in the plugin https://github.com/jenkinsci/smart-jenkins-plugin/blob/master/src/main/java/smartjenkins/SmartJenkinsComputerListener.java#L41 The plugin does not seem to be maintained, and somebody would need to take ownership to investigate and fix the defect. See https://jenkins.io/participate/
            Hide
            oleg_nenashev Oleg Nenashev added a comment -

            The issue also duplicates JENKINS-50217.
            Closing it as a duplicate, please follow-up in that issue if needed

            Show
            oleg_nenashev Oleg Nenashev added a comment - The issue also duplicates JENKINS-50217 . Closing it as a duplicate, please follow-up in that issue if needed
            Hide
            asra21 Asra Nousheen added a comment -

            Oleg - This doesn't reflect to neither plugin nor security , as I mentioned earlier, I was trying to upgrade the jenkins to the latest version. we're blocked with the error.

            Show
            asra21 Asra Nousheen added a comment - Oleg - This doesn't reflect to neither plugin nor security , as I mentioned earlier, I was trying to upgrade the jenkins to the latest version. we're blocked with the error.
            Hide
            oleg_nenashev Oleg Nenashev added a comment -

            Well, the issues with upgrade are caused by the plugin. If you are blocked, I recommend to consider uninstalling it if you do not use it.

            "This doesn't reflect to neither plugin nor security". You reported the issue in the SECURITY project originally, that's what I meant under security.

            Show
            oleg_nenashev Oleg Nenashev added a comment - Well, the issues with upgrade are caused by the plugin. If you are blocked, I recommend to consider uninstalling it if you do not use it. "This doesn't reflect to neither plugin nor security". You reported the issue in the SECURITY project originally, that's what I meant under security.

              People

              Assignee:
              Unassigned Unassigned
              Reporter:
              asra21 Asra Nousheen
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: